import { OnInit, SimpleChanges, EventEmitter, ElementRef, Renderer2, ChangeDetectorRef, AfterViewInit, TemplateRef } from '@angular/core';
import { SwiperConfig } from '../swiper/swiper.config';
import { LoaderService } from 'meepo-loader';
import { Subject } from 'rxjs/Subject';
export declare class SwiperScrollComponent implements OnInit, AfterViewInit {
    private el;
    private DEF;
    private loader;
    render: Renderer2;
    cd: ChangeDetectorRef;
    _container: boolean;
    _horizontal: boolean;
    _ref: TemplateRef<any>;
    options: any;
    items: any[];
    init: EventEmitter<any>;
    up: EventEmitter<any>;
    down: EventEmitter<any>;
    up$: Subject<any>;
    down$: Subject<any>;
    /**
     * swiper 实例
     */
    swiper: any;
    refresh: any;
    loadmore: any;
    isDown: string;
    constructor(el: ElementRef, DEF: SwiperConfig, loader: LoaderService, render: Renderer2, cd: ChangeDetectorRef);
    private initOptions();
    slideToOption: string;
    slideTo(index: number): void;
    slideIndex: number;
    setItems(val: any[]): void;
    _init(): void;
    private destroy();
    ngOnInit(): void;
    ngAfterViewInit(): void;
    __init(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
}
