import { SwiperConfig } from './swiper.config';
import { OnChanges, SimpleChanges, OnDestroy, EventEmitter, ElementRef, OnInit, AfterViewInit, Renderer2, TemplateRef, ChangeDetectorRef } from '@angular/core';
import { LoaderService } from 'meepo-loader';
import { Subject } from 'rxjs/Subject';
export declare class SwiperComponent implements AfterViewInit, OnChanges, OnInit, OnDestroy {
    private el;
    private DEF;
    private loader;
    render: Renderer2;
    cd: ChangeDetectorRef;
    _container: boolean;
    _ref: TemplateRef<any>;
    refresh: any;
    loadmore: any;
    _options: any;
    options: any;
    horizontal: any;
    vertical: any;
    items: any[];
    slideChange: EventEmitter<any>;
    slideChangeTransitionStart: EventEmitter<any>;
    slideChangeTransitionEnd: EventEmitter<any>;
    sliderMove: EventEmitter<any>;
    reachBeginning: EventEmitter<any>;
    reachEnd: EventEmitter<any>;
    slideNextTransitionStart: EventEmitter<any>;
    slideNextTransitionEnd: EventEmitter<any>;
    slidePrevTransitionStart: EventEmitter<any>;
    slidePrevTransitionEnd: EventEmitter<any>;
    init: EventEmitter<any>;
    onClick: EventEmitter<any>;
    onTap: EventEmitter<any>;
    doubleTap: EventEmitter<any>;
    progress: EventEmitter<any>;
    touchStart: EventEmitter<any>;
    touchMove: EventEmitter<any>;
    touchEnd: EventEmitter<any>;
    realIndex: EventEmitter<any>;
    down: EventEmitter<any>;
    up: EventEmitter<any>;
    auto: boolean;
    constructor(el: ElementRef, DEF: SwiperConfig, loader: LoaderService, render: Renderer2, cd: ChangeDetectorRef);
    /**
     * swiper 实例
     */
    swiper: any;
    private initOptions();
    slideToOption: string;
    down$: Subject<any>;
    up$: Subject<any>;
    isDown: string;
    slideTo(index: number, slideToOption?: string): void;
    _init(reinit?: boolean): void;
    private destroy();
    ngOnInit(): void;
    width: number;
    ngAfterViewInit(): void;
    __init(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
}
